Flecs: ecs_unit_desc_t Struct Reference
Description: A fast entity component system (ECS) for C & C++

| Flecs v4.0 A fast entity component system (ECS) for C & C++

Loading...
Searching...
No Matches
ecs_unit_desc_t Struct Reference
C API » Addons » Meta

Used with ecs_unit_init(). More...

`#include <meta.h>`

## Public Attributes
ecs_entity_t | entity
| Existing entity to associate with unit (optional).
const char * | symbol
| Unit symbol, e.g.
ecs_entity_t | quantity
| Unit quantity, e.g.
ecs_entity_t | base
| Base unit, e.g.
ecs_entity_t | over
| Over unit, e.g.
ecs_unit_translation_t | translation
| Translation to apply to derived unit (optional).
ecs_entity_t | prefix
| Prefix indicating order of magnitude relative to the derived unit.

## Detailed Description

Used with ecs_unit_init().

Definition at line 1111 of file meta.h.

## Member Data Documentation

## ◆ base

ecs_entity_t ecs_unit_desc_t::base

Base unit, e.g.

"meters" (optional).

Definition at line 1122 of file meta.h.

## ◆ entity

ecs_entity_t ecs_unit_desc_t::entity

Existing entity to associate with unit (optional).

Definition at line 1113 of file meta.h.

## ◆ over

ecs_entity_t ecs_unit_desc_t::over

Over unit, e.g.

"per second" (optional).

Definition at line 1125 of file meta.h.

## ◆ prefix

ecs_entity_t ecs_unit_desc_t::prefix

Prefix indicating order of magnitude relative to the derived unit.

If set together with "translation", the values must match. If translation is not set, setting prefix will auto-populate it. Additionally, setting the prefix will enforce that the symbol (if set) is consistent with the prefix symbol + symbol of the derived unit. If the symbol is not set, it will be auto populated.

Definition at line 1136 of file meta.h.

## ◆ quantity

ecs_entity_t ecs_unit_desc_t::quantity

Unit quantity, e.g.

distance, percentage, weight. (optional).

Definition at line 1119 of file meta.h.

## ◆ symbol

const char* ecs_unit_desc_t::symbol

Unit symbol, e.g.

"m", "%", "g". (optional).

Definition at line 1116 of file meta.h.

## ◆ translation

ecs_unit_translation_t ecs_unit_desc_t::translation

Translation to apply to derived unit (optional).

Definition at line 1128 of file meta.h.

The documentation for this struct was generated from the following file:

- include/flecs/addons/meta.h